# Set location image credits

```http
POST https://api.synup.com/api/v4/local-post-ideas/set-location-image-credits
```

Sets the monthly image-generation credit limit for a location and whether image-credit metering is active. Returns the updated credit status.

Source: https://developer.synup.com/api/local-post-ideas/set-location-image-credits

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required |  |
| `monthlyLimit` | integer | optional |  |
| `isActive` | boolean | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/set-location-image-credits' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ==",
  "monthlyLimit": 100,
  "isActive": true
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
